Page MenuHomePhabricator

[mlir] std.call reference function return types in failure
ClosedPublic

Authored by jpienaar on Aug 2 2021, 9:40 AM.

Details

Summary

Makes it easier to see type mismatch from failure locally.

Diff Detail

Event Timeline

jpienaar created this revision.Aug 2 2021, 9:40 AM
jpienaar requested review of this revision.Aug 2 2021, 9:40 AM
rdzhabarov accepted this revision.Aug 2 2021, 10:03 AM
This revision is now accepted and ready to land.Aug 2 2021, 10:03 AM
ftynse added a subscriber: ftynse.Aug 3 2021, 12:48 AM

Can we have/update the test for this?

jpienaar updated this revision to Diff 363820.Aug 3 2021, 11:34 AM

Adding test

jpienaar updated this revision to Diff 363824.Aug 3 2021, 11:39 AM

Add new line at end

ftynse accepted this revision.Aug 5 2021, 2:08 PM